import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/house/jgTask/listJgTaskByDeptId',
    method:'get',
    params:data
  })
}

//查询上报情况列表
export function getTaskList(id){
  return request({
    url:'/house/jg/list',
    method:'get'
  })
}
// 查询权利人列表
export function getShyqrs(query) {
  return request({
    url: '/open/home/mobile/getShyqrs',
    method: 'get',
    params: query
  })
}
//宅基地流转详情
export function getZjdly(id){
  return request({
    url:'/house/nmfwly/get/'+id,
    method:'get'
  })
}

//宅基地流转详情
export function nmfwlyAdd(data){
  return request({
    url:'/house/nmfwly/add',
    method:'post',
    data:data
  })
}

//宅基地流转保存
export function nmfwlyEdit(data){
  return request({
    url:'/house/nmfwly/edit',
    method:'post',
    data:data
  })
}

//宅基地流转提交
export function zyyctcApply(id){
  return request({
    url:'/house/zyyctc/submitApply/'+id,
    method:'post',
  })
}

//宅基地流转提交
export function jgAdd(data){
  return request({
    url:'/home/jg/add',
    method:'post',
    data:data
  })
}
//宅基地流转提交
export function jgEdit(data){
  return request({
    url:'/home/jg/edit',
    method:'post',
    data:data
  })
}
//宅基地流转提交
export function closeCase(data){
  return request({
    url:'/house/jg/closeCase',
    method:'post',
    data:data
  })
}

//上传图片
export function upload(data){
  return request({
    url:'/common/upload',
    method:'post',
    headers:{'Content-Type': 'application/x-www-form-urlencoded;boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW'},
    data:data
  })
}

//宅基地流转详情
export function getJg(id){
  return request({
    url:'/home/jg/get/'+id,
    method:'get'
  })
}

// 查询任务上报列表
export function listHomeuseshangbao(query) {
  return request({
    url: '/home/homeuseshangbao/list',
    method: 'get',
    params: query
  })
}
